Bug 682412 - @ in proxy user name prevents yum from working
@ in proxy user name prevents yum from working
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
14
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-05 04:58 EST by giulix
Modified: 2014-01-21 18:17 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 11:49:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description giulix 2011-03-05 04:58:22 EST
Description of problem:

When using yum behind a proxy (i.e. by setting http(s)_proxy environment variables), use of a proxy user name containing an at sign (@), like an email address, prevents yum from working.

Version-Release number of selected component (if applicable): 3.2.28-5


How reproducible: Always


Steps to Reproduce:
1. Set environment variable http_proxy
export http_proxy=http://username:password@host:port
2. Update using yum from a command line: Ok
3. Set environment variable http_proxy
export http_proxy=http://username@domain.com:password@host:port
4. Update from a repo using yum from a command line: Ko
  
Actual results:

yum is not able to connect to a proxy when an at sign (@) is present in the proxy user name

Expected results:

yum is able to work through a proxy when proxy authentication involves using a password containing an at sign (@), like many ISP force their customers to use

Additional info: FedoraForum thread reporting the incident:
http://forums.fedoraforum.org/showthread.php?p=1447849#post1447849
Comment 1 giulix 2011-03-05 05:04:34 EST
Please note that in the original submission, Expected results, where it says: "using a password" should read "using a user name".
Comment 2 Tim Lauridsen 2011-03-06 04:00:24 EST
try using replacing @ with %40.

export http_proxy=http://username%40domain.com:password@host:port
Comment 3 giulix 2011-03-07 03:27:34 EST
It works here. Requesting additional feedback from fedoraforum.org, too.

Thanks a lot.
Comment 4 Fedora End Of Life 2012-08-16 11:49:22 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.